build-job:
  stage: build
  tags:
    - reactjs
  script:
    - echo "Hello, $GITLAB_USER_LOGIN!"

test-job1:
  stage: test
  tags:
    - reactjs
  script:
    - echo "This job tests something"

deploy-prod:
  stage: deploy
  tags:
    - reactjs
  script:
    - docker-compose up -d --build